{
  "Version": 1,
  "WorkspaceRootPath": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\",
  "Documents": [
    {
      "AbsoluteMoniker": "D:0:0:{DC746C90-3DAF-40A6-971B-B00497891B57}|BSTCPP\\BSTCPP.vcxproj|C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\main.cpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}",
      "RelativeMoniker": "D:0:0:{DC746C90-3DAF-40A6-971B-B00497891B57}|BSTCPP\\BSTCPP.vcxproj|solutionrelative:BSTCPP\\main.cpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{DC746C90-3DAF-40A6-971B-B00497891B57}|BSTCPP\\BSTCPP.vcxproj|C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\BST.hpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}",
      "RelativeMoniker": "D:0:0:{DC746C90-3DAF-40A6-971B-B00497891B57}|BSTCPP\\BSTCPP.vcxproj|solutionrelative:BSTCPP\\BST.hpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{DC746C90-3DAF-40A6-971B-B00497891B57}|BSTCPP\\BSTCPP.vcxproj|C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\Node.cpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}",
      "RelativeMoniker": "D:0:0:{DC746C90-3DAF-40A6-971B-B00497891B57}|BSTCPP\\BSTCPP.vcxproj|solutionrelative:BSTCPP\\Node.cpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{DC746C90-3DAF-40A6-971B-B00497891B57}|BSTCPP\\BSTCPP.vcxproj|C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\Node.hpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}",
      "RelativeMoniker": "D:0:0:{DC746C90-3DAF-40A6-971B-B00497891B57}|BSTCPP\\BSTCPP.vcxproj|solutionrelative:BSTCPP\\Node.hpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{DC746C90-3DAF-40A6-971B-B00497891B57}|BSTCPP\\BSTCPP.vcxproj|C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\BST.cpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}",
      "RelativeMoniker": "D:0:0:{DC746C90-3DAF-40A6-971B-B00497891B57}|BSTCPP\\BSTCPP.vcxproj|solutionrelative:BSTCPP\\BST.cpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}"
    }
  ],
  "DocumentGroupContainers": [
    {
      "Orientation": 0,
      "VerticalTabListWidth": 256,
      "DocumentGroups": [
        {
          "DockedWidth": 200,
          "SelectedChildIndex": 4,
          "Children": [
            {
              "$type": "Document",
              "DocumentIndex": 2,
              "Title": "Node.cpp",
              "DocumentMoniker": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\Node.cpp",
              "RelativeDocumentMoniker": "BSTCPP\\Node.cpp",
              "ToolTip": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\Node.cpp",
              "RelativeToolTip": "BSTCPP\\Node.cpp",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAAAAAATAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000677|",
              "WhenOpened": "2026-03-06T17:46:00.28Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 3,
              "Title": "Node.hpp",
              "DocumentMoniker": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\Node.hpp",
              "RelativeDocumentMoniker": "BSTCPP\\Node.hpp",
              "ToolTip": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\Node.hpp",
              "RelativeToolTip": "BSTCPP\\Node.hpp",
              "ViewState": "AgIAAAAAAAAAAAAAAADwvw4AAAAIAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000680|",
              "WhenOpened": "2026-03-06T17:45:48.957Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 1,
              "Title": "BST.hpp",
              "DocumentMoniker": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\BST.hpp",
              "RelativeDocumentMoniker": "BSTCPP\\BST.hpp",
              "ToolTip": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\BST.hpp",
              "RelativeToolTip": "BSTCPP\\BST.hpp",
              "ViewState": "AgIAAAYAAAAAAAAAAAAAABEAAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000680|",
              "WhenOpened": "2026-03-06T17:44:35.041Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 4,
              "Title": "BST.cpp",
              "DocumentMoniker": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\BST.cpp",
              "RelativeDocumentMoniker": "BSTCPP\\BST.cpp",
              "ToolTip": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\BST.cpp",
              "RelativeToolTip": "BSTCPP\\BST.cpp",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAAAAAASAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000677|",
              "WhenOpened": "2026-03-06T17:44:22.362Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 0,
              "Title": "main.cpp",
              "DocumentMoniker": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\main.cpp",
              "RelativeDocumentMoniker": "BSTCPP\\main.cpp",
              "ToolTip": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\BSTCPP\\BSTCPP\\main.cpp",
              "RelativeToolTip": "BSTCPP\\main.cpp",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAgAAAABAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000677|",
              "WhenOpened": "2026-03-06T17:43:47.45Z",
              "EditorCaption": ""
            }
          ]
        },
        {
          "DockedWidth": 914,
          "SelectedChildIndex": -1,
          "Children": [
            {
              "$type": "Bookmark",
              "Name": "ST:0:0:{d78612c7-9962-4b83-95d9-268046dad23a}"
            },
            {
              "$type": "Bookmark",
              "Name": "ST:0:0:{34e76e81-ee4a-11d0-ae2e-00a0c90fffc3}"
            }
          ]
        }
      ]
    }
  ]
}